Subject: Re: Prob installing Perl DBI - SOLVED
From: Reini Urban <[email-masked]>
To: [email-masked]
Date: Wed, 7 Apr 2010 16:30:10 +0200
List-Id: <cygwin.cygwin.com>

2010/4/7 David Vergin:
> Excellent. I installed the gcc4-g++ package and the Perl DBI module
> installed from the command line without a hitch. (Probably would have been
> fine through the cpan program, too. But I wanted to see exactly what was
> happening.)
>
> Thank you, Dave.
>
> on 4/6/2010 11:49 AM Dave Korn said the following:
>>    So, what is "strawberry"?
>
> Strawberry Perl is a community supported Perl for Windows. (Endorsed by
> Larry Wall himself.) I am finding it a nice replacement for ActivePerl. I
> use it for local cgi scripts running through Windows-native Apache.
>
>        http://strawberryperl.com
>
>> ... you only have the cygwin "gcc" C compiler installed, so the build must
>> have picked up "g++" from somewhere else.  Install Cygwin's gcc4-g++
>> package
>> and see if it works any better!

For the record:
Strawberry adds the mingw gcc and g++ to the path.
In this case behinds cygwin's but since on cygwin
there was no g++ installed, the strawberry g++ took over.
-- 
Reini Urban
http://phpwiki.org/           http://murbreak.at/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple